version: "3.2"

services:
  redis:
    image: redis
    ports:
      - 6379:6379

  api:
    build: src/api/
    image: registry.gitlab.com/tikal-external/academy-public/images/nodejs-ping
    ports:
      - 8080:8080
    environment:
      NODE_ENV: "docker"
    depends_on:
      - redis

  pinger:
    build: src/pinger/
    image: registry.gitlab.com/tikal-external/academy-public/images/pinger:latest
    environment:
      API_URL: http://api:8080
    depends_on:
      - api

  poller:
    build: src/poller/
    image: registry.gitlab.com/tikal-external/academy-public/images/poller:latest
    environment:
      API_URL: http://api:8080
    depends_on:
      - api

